<?php
/* mod_img version 0.9
   by Thomas "DrScream" Merkel
   and Sebastian "Wiedi" Wiedenroth */

/* Admin Menu Thingi */
function menu_urls_img( ) {
  return array(
   "?site=mod_img_list"
  );
}

function menu_names_img( ) {
  return array(
   "Bilder"
  );
}

function mod_img( $p ) {
  return "To err is human, to forgive, beyond the scope of the Content Management System";
}

/* Pre Functions */
function pre_mod_img_mkdir( $p ) {
  $path = makeCleanString( initVar( "path", "" ));
  $name = initPVar( "name", "" );
  @mkdir( "../../userdata/img/" . $path . "/" . $name );
  return "mod_img_list";
}

function pre_mod_img_rmdir( $p ) {
  @rmdir( "../../userdata/img/" . $p[1] . "/" );
  return "mod_img_list";
}

function pre_mod_img_rmimg( $p ) {
  @unlink( "../../userdata/img/" . $p[1] );
  @unlink( "../../userdata/img/" . dirname( $p[1] ) . "/thumb-" . basename( $p[1] ));
  return "mod_img_list";
}

function pre_mod_img_upload( $p ) {
  $path = makeCleanString( initVar( "path", "" ));
  if( @is_uploaded_file( $_FILES["image"]["tmp_name"] )) {
    $newname = makeCleanString( $_FILES["image"]["name"] );
    $newname = ereg_replace( " ", "_", $newname );
    $newname = ereg_replace( "", "oe", $newname );
    $newname = ereg_replace( "", "ae", $newname );
    $newname = ereg_replace( "", "ue", $newname );
    $newname = ereg_replace( "", "AE", $newname );
    $newname = ereg_replace( "", "OE", $newname );
    $newname = ereg_replace( "", "UE", $newname );
    copy( $_FILES["image"]["tmp_name"], "../../userdata/img/" . $path . "/" . $newname );
  }
  return "mod_img_list";
}

/* Admin Functions */
function mod_img_list( $p ) {
  $path = makeCleanString( initVar( "path", "" ));
  $imgdir = dir("../../userdata/img/" . $path . "/" );
  $content .= "<br /><form enctype=\"multipart/form-data\" action=\"?site=pre_mod_img_upload&amp;path=" . $path . "\" method=\"post\">"
            . "<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"3072000\"  accept=\"image/*\" />"
            . "Neues Bild hinzufgen: <input name=\"image\" type=\"file\" value=\"Durchsuchen...\" />"
            . " &nbsp; <input type=\"submit\" value=\"Hochladen\" />"
            . "<input type=\"hidden\" name=\"path\" value=\"" . $path . "\" /></form>"
            . "<br /><br /><form action=\"?site=pre_mod_img_mkdir&amp;path=" . $path . "\" method=\"post\">"
            . "Neuen Ordner Anlegen: <input type=\"text\" name=\"name\" /><input type=\"submit\" value=\"Ok\" /></form>";
  $content .= "<br /><table class=\"bt\">";

  $updir = dirname( $path );
  while($file = $imgdir->read()) {
    if( $file == "." || $file == ".." ) continue;
    if( is_dir("../../userdata/img/" . $path . "/" . $file )) {
      $dirs[] = $file;
    } else {
      $files[] = $file;
    }
  }
  /* sort the array */
  if(is_array( $dirs )) sort($dirs);
  if(is_array( $files ))sort($files);
  if( $path == "/" ) {
    $path = "";
  } else {
  $content .= "<tr><td><img src=\"/theme/img/dir-small.png\" /></td><td><a href=\"?site=mod_img_list&amp;path=" . $updir .  "\"> ( Aufwrts ) </a></td>"
           . "<td>&nbsp;</td></tr>";
  }
  if( isset( $dirs )) {
    foreach( $dirs as $dir ) {
      $content .= "<tr><td><img src=\"/theme/img/dir-small.png\" /></td><td><a href=\"?site=mod_img_list&amp;path=" . $path . "/" .  $dir .  "\">" . $dir . "</a></td>"
               . "<td>( <a href=\"?site=pre_mod_img_rmdir&amp;p0=" . $path . "/" . $dir .  "&amp;path=" . $path . "\" onclick=\"return sendFormular();\">Lschen</a> )</td></tr>";
    }
  }
  if( isset( $files )) {
    foreach( $files as $file ) {
      $content .= "<tr><td><img src=\"/theme/img/img-small.png\" /></td><td><a target=\"_blank\" href=\"../img" . $path . "/" . $file . "\">" . $file . "</a></td>"
               . "<td>( <a href=\"?site=pre_mod_img_rmimg&amp;p0=" . $path . "/" . $file .  "&amp;path=" . $path . "\" onclick=\"return sendFormular();\">Lschen</a> )</td></tr>";
    }
  }
  $content.="</table>";
  $imgdir->close();
  return $content;
}

?>